GuideLab API

Delete shade value image

Clear and enqueue deletion of one shade-value image.

DELETE
/shade-systems/{id}/values/{valueId}/image

Clear and enqueue deletion of one shade-value image.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
valueId*string

Query Parameters

position*string

Value in

  • "occlusal"
  • "middle"
  • "gingival"

Response Body

application/json

curl -X DELETE "https://example.com/shade-systems/string/values/string/image?position=occlusal"
{  "system": {    "id": "string",    "labId": "string",    "name": "string",    "description": "string",    "isDefault": true,    "isActive": true,    "sortOrder": 0,    "values": [      {        "id": "string",        "code": "string",        "label": "string",        "sortOrder": 0,        "isActive": true,        "images": {          "occlusal": "string",          "middle": "string",          "gingival": "string"        }      }    ],    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty